import { Router } from 'express';

import { jwtVerify, authorizeRoles } from '../middlewares/authMiddleware.js';
import { getUserCartItem ,getCartItemCount} from '../controllers/cart.controller.js';
import { addToCart } from '../controllers/cart.controller.js';
import { getCategoryTree } from '../controllers/category.controller.js';
;


const router = Router();

// router.use(jwtVerify);

router.get('/tree', getCategoryTree);
router.post('/addToCart', addToCart);

router.get('/cartitemCount/:id', getCartItemCount);

export default router;
